# coding:utf-8

import gzip
import json
import base64
import time

import requests

from core import settings

data = {
    "cp_game_id": 682,
    "category": "cp_api",
    "event": {
        "event_time": f"{int(time.time() * 1000)}",
        "event_name": "role_rank"
    },
    "data": {
        "utc_time": 1506054735456,
        "game_server": 1,
        "platform_id": 101,
        # "sm_user_id": "test_123456",
        # "user_id": "14444444",
        # "role_id": "14362455",
        # "role_name": "无名",
        # "role": "狂暴战士",
        # "school": "玄月宗",
        # "combat": 156784,
        # "role_vip": 2,
        # "before_rank": 2,
        # "role_rank": 3

    }
}


def run():
    print('-' * 30)

    post_data = []
    for i in range(2):
        post_data.append(data)
    print(json.dumps(post_data))
    gzip_data = gzip.compress(json.dumps(post_data).encode())
    base64_data = base64.b64encode(gzip_data)

    # resp = requests.post(settings.SM_CHECK_API, base64_data, verify=False)

    proxies = {
        'http': '127.0.0.1:8899',
        'https': '127.0.0.1:8899'
    }
    resp = requests.post(settings.SM_API, base64_data, verify=False, proxies=proxies)
    try:
        resp_json = resp.json()
        print(resp_json)

    except:
        print(resp.text)


if __name__ == '__main__':
    run()
